%define name chromium
%define version 0.9.12
%define release 3mdk
%define prefix %{_prefix}

Summary: Fast paced, arcade-style, top-scrolling space shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Games/Arcade
Source: http://www.reptilelabour.com/software/files/chromium/chromium-src-%{version}.tar.bz2
Source1: http://www.reptilelabour.com/software/files/chromium/chromium-data-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
URL: http://www.reptilelabour.com/software/chromium/
Patch0: chromium-0.9.12-fix-flags.patch.bz2
Patch1: chromium-0.9.11-glibc-2.2.2.patch.bz2
Patch3: chromium-fix-gcc-2.96.patch.bz2
Patch5: chromium-0.9.12-fix-openal-configurecall.patch.bz2
BuildRequires: libogg-devel libqt2-devel libSDL-devel libvorbis-devel Mesa-common-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot them up game with fine graphics.

%package setup
Summary: Setup frontend for Chromium
Group: Games/Arcade
Requires: %{name} = %{version}-%{release}

%description setup
This package contains the setup frontend (using QT) to ease configuration
of Chromium, especially for its playlist features.

%prep
%setup -q -n Chromium-0.9
%patch0 -p0
%patch1 -p0
%patch3 -p0
%patch5 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
export DEFS="-DGAMESBINDIR=\\\"%{_gamesbindir}\\\" -DPKGDATADIR=\\\"%{_gamesdatadir}/Chromium-0.9\\\" -DUSE_SDL `sdl-config --cflags` -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT -I../../include -I../support/openal/linux/include -I../support/openal/include"
export OPENAL_CONFIG_OPTS="./configure %{_target_platform}"
export QTDIR=/usr/lib/qt2
./configure --enable-vorbis
make


%install
mkdir -p $RPM_BUILD_ROOT/%{_gamesbindir}
cp bin/* $RPM_BUILD_ROOT/%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Chromium" \
  longtitle="OpenGL shoot them up"
EOF

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/chromium-setup
?package(chromium-setup):command="%{_gamesbindir}/chromium-setup" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Chromium Setup" \
  longtitle="Graphical Setup of Chromium"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

rm -rf `find $RPM_BUILD_ROOT -type d -name .xvpics`

%post
%{update_menus}

%postun
%{clean_menus}

%post setup
%{update_menus}

%postun setup
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README LICENSE
%{_gamesbindir}/chromium
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%files setup
%defattr(-, root, root)
%{_gamesbindir}/chromium-setup
%{_menudir}/chromium-setup

%changelog
* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.12-3mdk
- BuildRequires: libogg-devel
- BuildRequires: libqt2-devel
- BuildRequires: Mesa-common-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-2mdk
- rebuild

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.12-1mdk
- version 0.9.12

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-4mdk
- new SDL
- code version 0.9.11a

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.11-3mdk
- Rebuild against Qt 2.3.0

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-2mdk
- rebuild against fixed smpeg (rpath stuff)
- make setup package dependant on main package

* Tue Feb 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11

* Mon Jan 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10
- now subpackage includes chromium-setup (qt2 setup frontend)

* Tue Dec 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9 to please sucking pixel

* Fri Dec  8 2000 Pixel <pixel@mandrakesoft.com> 0.9.8-2mdk
- fix BuildReq

* Sun Nov 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8 with many improvements: now a commercial-level game IMHO!

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-3mdk
- recompile against newest libstdc++

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-2mdk
- fix compile with gcc-2.96

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.7-1mdk
- release 0.9.7

* Sat Sep 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.6-1mdk
- first Mandrake Package

